#2680 closed enhancement (fixed)

Add pthread_setconcurrency() and pthread_getconcurrency()

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

* Code merged. Ticket changed to documentation to remind us to add documentation when master documentation reopens in new format.

We only require the simple implementation documented here:

http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_getconcurrency.html

This is required for FACE Conformance.

Change History (5)

comment:1 Changed on Apr 15, 2016 at 2:41:46 PM by Joel Sherrill

Component: cpukitDocumentation
Description: modified (diff)
Owner: changed from Joel Sherrill to Chris Johns
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc

comment:4 Changed on Oct 12, 2017 at 12:58:27 AM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In d36d685/rtems-docs:

posix-users/thread.rst: Add pthread_getconcurrency and pthread_setconcurrency

Closes #2680.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.